<?php

/**
* @package Billing
*/
class Billing_menu extends NE_MenuHook
{

    function Billing_menu(&$user, &$customer, &$tpl)
    {
                parent::NE_MenuHook($user, $customer, $tpl);

                if (NE_Lib::isPublicDir()) {
                    return;
                }

                //Invoice List
                $menuItem = new NE_MenuItem($this->user->lang("Invoice List"),"index.php?fuse=billing&amp;view=ViewInvoiceList");
                $menuItem->addViews("ViewInvoiceList");
                $menuItem->addPermissions("billing_view");
                $this->addItem($menuItem);
                
                //UnInvoiced List
                $menuItem = new NE_MenuItem($this->user->lang("UnInvoiced List"),"index.php?fuse=billing&amp;view=ViewUnInvoicedList");
                $menuItem->addViews("ViewUnInvoicedList");
                $menuItem->addPermissions("billing_uninvoiced_work");
                $this->addItem($menuItem);

                //Process Invoices
                $menuItem = new NE_MenuItem($this->user->lang("Process Invoices"),"index.php?fuse=admin&amp;view=ProcessInvoices&amp;phase=RecurringSettings");
                $menuItem->addViews(array( 'ProcessInvoices'));
                $menuItem->addPermissions("billing_generate_invoices");
                $this->addItem($menuItem);

    }
}
?>